#version 3


#ifndef (UseAsIncludeFile)

#include "colors.inc"

global_settings
{
  assumed_gamma 2.2
}

// ----------------------------------------
camera
{
  location  <0.0, 0.5, -20>
  direction 40*z
  right     4/3*x
  look_at   <0.0, 0.25,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color White*2
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}

#end

#declare manOnLadder =
union{
// This object has the following minimum and maximum values:
// xmin=-0.000081, xmax=0.000081
// ymin=-0.000030, ymax=0.000030
// zmin=-0.000078, zmax=0.000078

#include "shoes.inc"
object{shoes scale 750 translate<0.023,-.195,-0.008>}

// This object has the following minimum and maximum values:
// xmin=-0.048043, xmax=0.048043
// ymin=-0.194160, ymax=0.194160
// zmin=-0.067109, zmax=0.067109
#include "pants.inc"
object{pants scale 1 }



// This object has the following minimum and maximum values:
// xmin=-0.000734, xmax=0.000734
// ymin=-0.001177, ymax=0.001177
// zmin=-0.001166, zmax=0.001166
#include "shirt.inc"
object{shirt scale 85 translate<0.0285,0.28,-0.003> }


// This object has the following minimum and maximum values:
// xmin=-0.010269, xmax=0.010269
// ymin=-0.006928, ymax=0.006928
// zmin=-0.007443, zmax=0.007443
#include "hair.inc"
object{hair scale 5.3 translate<0.09,0.426,-0.011> }

#include "arms.inc"
object{xarms scale 1.13 translate<0.075,0.26,-0.009> }


}


#ifndef (UseAsIncludeFile)
  object{laddermn rotate<0,0,0>}
#end

